Package javax.mail

# Class StoreClosedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.mail.MessagingException
javax.mail.StoreClosedException

All Implemented Interfaces:
  `Serializable`

public class StoreClosedException extends MessagingException
This exception is thrown when a method is invoked on a Messaging object and the Store that owns that object has died due to some reason. This exception should be treated as a fatal error; in particular any messaging object belonging to that Store must be considered invalid.

The connect method may be invoked on the dead Store object to revive it.

The getMessage() method returns more detailed information about the error that caused this exception.

Author:
  John Mani
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StoreClosedException(Store store)`
Constructs a StoreClosedException with no detail message.
`StoreClosedException(Store store, String message)`
Constructs a StoreClosedException with the specified detail message.
`StoreClosedException(Store store, String message, Exception e)`
Constructs a StoreClosedException with the specified detail message and embedded exception.

## Method Summary

Modifier and Type
Method
Description
`Store`
`getStore()`
Returns the dead Store object.

### Methods inherited from class javax.mail.MessagingException

`getCause, getNextException, setNextException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StoreClosedException

public StoreClosedException(Store store)
Constructs a StoreClosedException with no detail message.

Parameters:
  `store` - The dead Store object

### StoreClosedException

public StoreClosedException(Store store, String message)
Constructs a StoreClosedException with the specified detail message.

Parameters:
  `store` - The dead Store object
  `message` - The detailed error message

### StoreClosedException

public StoreClosedException(Store store, String message, Exception e)
Constructs a StoreClosedException with the specified detail message and embedded exception. The exception is chained to this exception.

Parameters:
  `store` - The dead Store object
  `message` - The detailed error message
  `e` - The embedded exception
Since:
  JavaMail 1.5

## Method Details

### getStore

public Store getStore()
Returns the dead Store object.

Returns:
  the dead Store object